.b-form {
  font-family: 'General Sans', sans-serif;

  .ginput_container {
    input, textarea {
      outline: none;
      border: none;
      box-shadow: none;
      border-radius: 0 !important;
      padding: 0.4rem 1rem 0.4rem 0 !important;
      border-bottom: solid 1px black !important;
      color: rgba($color: #141414, $alpha: .7);
  
      @screen lg {
        padding: 0.8rem 1rem 0.8rem 0 !important;
      }

      &:focus {
        outline: none !important;
        border: none !important;
        box-shadow: none !important;
      }
    }

    input[type="checkbox"] {
      border: solid 1px black;
      border-radius: 999vh !important;
      width: 18px !important;
      height: 18px !important;
      padding: 0 !important;

      &::before {
        content: '' !important;
        width: 10px !important;
        height: 10px !important;
        border-radius: 999vh !important;
        background-color: theme('colors.red');
      }
    }

    &_fileupload {
      input[type="file"] {
        height: 100% !important;
        cursor: pointer !important;
      }

      .gform_fileupload_multifile, .gform_drop_area {
        outline: none;
        border: none;
        box-shadow: none;
        border-radius: 0 !important;
      }

      .gform_fileupload_multifile {
        padding: 0.4rem 1rem 0.4rem 0 !important;
        border-bottom: solid 1px black !important;
        color: rgba($color: #141414, $alpha: .7);
    
        @screen lg {
          padding: 0.8rem 1rem 0.8rem 0 !important;
        }
      }
    }
  }

  .gfield_description {
    display: none !important;
  }

  .gfield_required {
    display: none !important;
  }

  .gform_button {
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
    border-radius: 0 !important;
    background-color: transparent !important;
    color: theme('colors.red') !important;
    font-size: 24px !important;
    width: 100% !important;
    padding: 0 0 0.8rem 0 !important;
    justify-content: flex-start !important;
  }
  
  .gform_footer {
    position: relative !important;
    border-bottom: solid 1px theme('colors.red') !important;
    width: 100% !important;
    margin-top: 2rem !important;
    overflow: hidden !important;

    @screen lg {
      width: 50% !important;
      margin-top: 4rem !important;
    }

    &::after {
      position: absolute  !important;
      top: 50% !important;
      left: 90% !important;
      content: url('/images/svg/arrow-red.svg') !important;
      width: fit-content !important;
      height: fit-content !important;
      display: block !important;
      transform: translate(0, -50%) !important;
      pointer-events: none !important;
      transition: transform ease 0.3s, opacity ease 0.3s !important;
    }

    &::before {
      position: absolute  !important;
      top: 50% !important;
      left: 90% !important;
      content: url('/images/svg/arrow-red.svg') !important;
      width: fit-content !important;
      height: fit-content !important;
      display: block !important;
      transform: translate(-150%, -50%) !important;
      pointer-events: none !important;
      transition: transform ease-in-out 0.3s, opacity ease-in-out 0.3s !important;
      opacity: 0 !important;
    }

    &:hover {
      &::after {
        transform: translate(150%, -50%) !important;
        // opacity: 0 !important;
      }

      &::before {
        transform: translate(0, -50%) !important;
        opacity: 1 !important;
      }
    }
  }

  &.news {
    .ginput_container {
      input, textarea {
        outline: none;
        border: none;
        border-bottom: solid 1px white !important;
        color: white;
        background-color: transparent !important;
      }
    }

    .gform_button {
      color: white !important;
    }

    .gform_footer {
      border-bottom: solid 1px white !important;
  
      &::after {
        content: url('/images/svg/arrow-white.svg') !important;
      }
  
      &::before {
        content: url('/images/svg/arrow-white.svg') !important;
      }
    }
  }

  &.convert-form {
    .gform_button {
      color: theme('colors.black') !important;
      font-weight: 400 !important;
    }

    .gform_footer {
      margin-top: 1.5rem !important;
      width: 100% !important;
      border-bottom: solid 1px theme('colors.black') !important;
  
      &::after {
        left: 95% !important;
        content: url('/images/svg/arrow.svg') !important;
      }
      
      &::before {
        left: 95% !important;
        content: url('/images/svg/arrow.svg') !important;
      }
    }
  }
  
}